Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] main/go: make go work with latest go-bootstrap change

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 7 Sep 2015 01:27:55 +0200

Also install go and gofmt binary to /usr/lib/go/bin and symlink it to
/usr/bin. Also fix removal of tests.
---
 main/go/APKBUILD | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)
diff --git a/main/go/APKBUILD b/main/go/APKBUILD
index a0c4b60..5fdd612 100644
--- a/main/go/APKBUILD
+++ b/main/go/APKBUILD
_at_@ -4,12 +4,11 @@ pkgname=go
 pkgver=1.5
 # This should be the latest commit on the corresponding release branch
 _toolsver="d02228d1857b9f49cd0252788516ff5584266eb6"
-pkgrel=0
+pkgrel=1
 pkgdesc="Go programming language compiler"
 url="http://www.golang.org/"
 arch="x86_64 armhf"
 license="BSD"
-replaces="go-bootstrap"
 depends=""
 depends_dev=""
 makedepends="bash go-bootstrap"
_at_@ -32,7 +31,7 @@ build() {
 	export GOROOT="$_builddir"
 	export GOBIN="$GOROOT"/bin
 	export GOROOT_FINAL=/usr/lib/go
-	export GOROOT_BOOTSTRAP=/usr/lib/go
+	export GOROOT_BOOTSTRAP=/usr/lib/go-bootstrap
 
 	case "$CARCH" in
 	x86)	export GOARCH="386" ;;
_at_@ -64,8 +63,10 @@ package() {
 	cd "$_builddir"
 	mkdir -p "$pkgdir"/usr/bin "$pkgdir"/usr/lib/go "$pkgdir"/usr/share/doc/go
 
-	install -Dm755 bin/go "$pkgdir"/usr/bin || return 1
-	install -Dm755 bin/gofmt "$pkgdir"/usr/bin || return 1
+	for binary in go gofmt; do
+		install -Dm755 bin/$binary "$pkgdir"/usr/lib/go/bin/$binary || return 1
+		ln -s /usr/lib/go/bin/$binary "$pkgdir"/usr/bin/$binary || return 1
+	done
 
 	# The source needs to be installed due to an upstream
 	# bug (https://github.com/golang/go/issues/2775).
_at_@ -76,8 +77,15 @@ package() {
 
 	# Remove tests from /usr/lib/go/src.
 	# Those shouldn't be affacted by the upstream bug (see above).
-	find "$pkgdir"/usr/lib/go \( -type f -a -iname '*_test*' \) \
-		-o \( -type d -name 'testdata' \) -exec rm -rf \{\} \+
+	find "$pkgdir"/usr/lib/go/src \( -type f -a -name "*_test.go" \) \
+		-exec rm -rf \{\} \+ || return 1
+	find "$pkgdir"/usr/lib/go/src \( -type d -a -name "testdata" \) \
+		-exec rm -rf \{\} \+ || return 1
+	find "$pkgdir"/usr/lib/go/src \( -type f -a -name "*.bash" \) \
+		-exec rm -rf \{\} \+ || return 1
+
+	# Remove bootstrap files.
+	rm -rf "$pkgdir"/usr/lib/go/pkg/bootstrap
 }
 
 tools() {
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Sep 07 2015 - 01:27:55 GMT